---
title: "Create approval request."
slug: "create-approval-request"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/create-approval-request"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create approval request.

Post/v1/approval_requests

Create approval request

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Body parameters

Request to create an approval request.

<select class='api-response-data' aria-label='Media type'><option value='df5f0aa8-51ec-429d-bf57-7e6eb7a4d50b'>application/json</option>
</select>Expand Allobject  

Request to create an approval request.

operationstring    Required

Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/&lt;id&gt;`.

methodstring    

Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST.

bodyobject  
descriptionstring    

Optional comment about the approval request for the reviewer.

Responses201

A newly created approval request.

<select class='api-response-data' aria-label='Media type'><option value='ae5dd591-aa21-4c3e-92ff-6c777c17ee62'>application/json</option>
</select>Expand Allobject  request_idstring  (uuid)    

UUID uniquely identifying this approval request.

requesterobject (Entity)  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

created_atinteger  (int64)    

When this approval request was created.

acct_idstring  (uuid)    

The account ID of the account that this approval request belongs to.

group_idstring  (uuid)    

The group ID where this approval request belongs to.

operationstring    

Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/&lt;id&gt;`.

methodstring    

Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST.

bodyobject  
approvers Array of object (Entity)   object  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

denierobject (Entity)  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

denial_reasonstring    

Reason given by denier.

reviewers Array of object (Entity)   object  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

statusstring    

Approval request status.

Valid values[
  "PENDING",
  "APPROVED",
  "DENIED",
  "FAILED",
  "DENIED_OTHER",
  "PENDING_CHILD",
  "PENDING_OTHER"
]
subjects Array of object (ApprovalSubject)   object  

Identifies an object acted upon by an approval request.

workflowstring  (uuid)    

The ID of the workflow being acted upon.

descriptionstring    

Optional comment about the approval request for the reviewer.

expiryinteger  (int64)    

When this approval request expires.
